package com.rainbow.app.keyboard.helper;



import java.util.ArrayList;
import java.util.List;

public class ResLayout {
    private String name;
    private List<KeybModel> keybModels = new ArrayList<>();


    public ResLayout(String name) {
        this.name = name;
    }

    // Getters and Setters
    public String getName() {
        return name;
    }

    public List<KeybModel> getKeys() {
        return keybModels;
    }

    public void addKey(KeybModel KeybModel) {
        this.keybModels.add(KeybModel);
    }

    public KeybModel getLastKey() {
        return keybModels.isEmpty() ? null : keybModels.get(keybModels.size() - 1);
    }


}